package com.mt.wms.basic.params;

import com.mt.wms.core.base.BaseParam;
import com.mt.wms.core.validator.groups.UpdateGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;

/**
 * @Author: liguanghao
 * @Date: 2021/11/8 10:39
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "车辆参数对象", description = "用于新增和更新车辆信息")
public class VehicleParam extends BaseParam {

    private static final long serialVersionUID = 1L;
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键，更新时需要填写",required = false, example = "1")
    @NotNull(message = "xxID不能为空", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码",  example = "1")
    @NotNull(message = "编码不能为空")
    private String code;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称",  example = "1")
    @NotNull(message = "名称不能为空")
    private String vehicleName;

    /**
     * 规格
     */
    @ApiModelProperty(value = "缩写(别名)",  example = "1")
    private String vehicleAlias;

    /**
     * ip
     */
    @ApiModelProperty(value = "ip",  example = "192.168.0.1")
    private String ip;

    /**
     * 备注
     */
    @ApiModelProperty(value = "ip",  example = "1")
    private String note;
    /**
     * 描述信息
     */
    @ApiModelProperty(value = "描述信息",  example = "1")
    private String description;
}
