package com.mt.wms.basic.service;

import com.mt.wms.basic.params.WarehouseParam;
import com.mt.wms.basic.params.WarehouseQueryParam;
import com.mt.wms.basic.vo.WarehouseVo;
import com.mt.wms.core.params.EnabledParam;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.vo.IdVo;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;

import java.util.List;

/**
 * @Author: liguanghao
 * @Date: 2021/9/28 15:36
 * @Version 1.0
 */
public interface WarehouseService {
    /**
     * 获取xx
     *
     * @param idParam 主键参数
     * @return xx
     */
    R<WarehouseVo> get(IdParam idParam);

    /**
     * 获取xx列表
     *
     * @param warehouseQueryParam xx查询参数
     * @return xx列表
     */
    R<List<WarehouseVo>> list(WarehouseQueryParam warehouseQueryParam);

    /**
     * 获取xx分页列表
     *
     * @param warehouseQueryParam xx查询参数
     * @return xx分页列表
     */
    R<PageVo<WarehouseVo>> page(WarehouseQueryParam warehouseQueryParam);


    /**
     * 新增xx
     *
     * @param warehouseParam xx参数
     * @return 主键
     */
    R<IdVo> add(WarehouseParam warehouseParam);

    /**
     * 更新xx
     *
     * @param warehouseParam xx参数
     * @return 主键
     */
    R<IdVo> update(WarehouseParam warehouseParam);


    /**
     * 删除xx
     *
     * @param idParam 主键参数
     * @return 主键
     */
    R<IdVo> delete(IdParam idParam);

}
