package com.mt.wms.core.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * apms推送检验结果表
 * </p>
 *
 * @author mt
 * @since 2022-01-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_apms_check_result")
public class ApmsCheckResult extends Model<ApmsCheckResult> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 删除标志，是否有效:1 可用 0不可用，2停止
     */
    @TableField("valid")
    @TableLogic
    private Integer valid;

    /**
     * 添加时间，入库时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Integer creatorId;

    /**
     * 更新人id
     */
    @TableField("updater_id")
    private Integer updaterId;

    /**
     * 修改时间，更具修改时间来判断下次执行顺序，第一次修改时间和新增时间相同
     */
    @TableField("update_time")
    private LocalDateTime updateTime;

    /**
     * 版本号 默认为 1
     */
    @TableField("version")
    @Version
    private String version;

    /**
     * 生产单号
     */
    @TableField("sheet_no")
    private String sheetNo;

    /**
     * 标识卡号
     */
    @TableField("iden_card_num")
    private String idenCardNum;

    /**
     * 硬度检验结果（待检验、合格、不合格、返工、作废）
     */
    @TableField("hardness")
    private String hardness;

    /**
     * 金相检验结果（合格、不合格）
     */
    @TableField("metallography")
    private String metallography;

    /**
     * 心部硬度检验值
     */
    @TableField("heart_hardness")
    private String heartHardness;

    /**
     * 备注，特殊注释等
     */
    @TableField("remake")
    private String remake;

    /**
     * 硬度检验结果1
     */
    @TableField("hardness_value_one")
    private String hardnessValueOne;

    /**
     * 硬度检验结果2
     */
    @TableField("hardness_value_two")
    private String hardnessValueTwo;

    /**
     * 硬度检验结果3
     */
    @TableField("hardness_value_three")
    private String hardnessValueThree;

    /**
     * 金相检验渗碳淬火 渗碳层深度
     */
    @TableField("metallography_stch_stccsd")
    private Float metallographyStchStccsd;

    /**
     * 金相检验渗碳淬火 表面为马氏体、残余奥氏体（级）
     */
    @TableField("metallography_stch_mstost")
    private String metallographyStchMstost;

    /**
     * 金相检验渗碳淬火 细小颗粒状碳化物
     */
    @TableField("metallography_stch_xxklzthw")
    private String metallographyStchXxklzthw;

    /**
     * 金相检验渗碳淬火 心部为低碳马氏体加游离铁素体（级）
     */
    @TableField("metallography_stch_dtmstyltst")
    private String metallographyStchDtmstyltst;

    /**
     * 金相检验整体淬火 基体为回火马氏体（级）
     */
    @TableField("metallography_ztch_hhmst")
    private String metallographyZtchHhmst;

    /**
     * 金相检验整体淬火 基体为回火托式体（级）
     */
    @TableField("metallography_ztch_hhtst")
    private String metallographyZtchHhtst;

    /**
     * 金相检验整体淬火 基体为回火素式体（级）
     */
    @TableField("metallography_ztch_hhsst")
    private String metallographyZtchHhsst;

    /**
     * 金相检验氮化 表面亮白色的为氮化合物层深
     */
    @TableField("metallography_dh_dhhwcs")
    private Float metallographyDhDhhwcs;

    /**
     * 金相检验氮化 向内为扩散层深
     */
    @TableField("metallography_dh_kscs")
    private Float metallographyDhKscs;

    /**
     * 金相检验氮化 心部
     */
    @TableField("metallography_dh_xb")
    private String metallographyDhXb;

    /**
     * 金相检验表面淬火 表面为板条马氏体（级）
     */
    @TableField("metallography_bmch_btmst")
    private String metallographyBmchBtmst;

    /**
     * 金相检验表面淬火 心部
     */
    @TableField("metallography_bmch_xb")
    private String metallographyBmchXb;

    /**
     * 金相检验 备注
     */
    @TableField("metallography_bz")
    private String metallographyBz;

    /**
     * 金相检验心部硬度 心部硬度检验结果
     */
    @TableField("metallography_xbyd_xbydjyjg")
    private Float metallographyXbydXbydjyjg;


    public static final String ID = "id";

    public static final String VALID = "valid";

    public static final String CREATE_TIME = "create_time";

    public static final String CREATOR_ID = "creator_id";

    public static final String UPDATER_ID = "updater_id";

    public static final String UPDATE_TIME = "update_time";

    public static final String VERSION = "version";

    public static final String SHEET_NO = "sheet_no";

    public static final String IDEN_CARD_NUM = "iden_card_num";

    public static final String HARDNESS = "hardness";

    public static final String METALLOGRAPHY = "metallography";

    public static final String HEART_HARDNESS = "heart_hardness";

    public static final String REMAKE = "remake";

    public static final String HARDNESS_VALUE_ONE = "hardness_value_one";

    public static final String HARDNESS_VALUE_TWO = "hardness_value_two";

    public static final String HARDNESS_VALUE_THREE = "hardness_value_three";

    public static final String METALLOGRAPHY_STCH_STCCSD = "metallography_stch_stccsd";

    public static final String METALLOGRAPHY_STCH_MSTOST = "metallography_stch_mstost";

    public static final String METALLOGRAPHY_STCH_XXKLZTHW = "metallography_stch_xxklzthw";

    public static final String METALLOGRAPHY_STCH_DTMSTYLTST = "metallography_stch_dtmstyltst";

    public static final String METALLOGRAPHY_ZTCH_HHMST = "metallography_ztch_hhmst";

    public static final String METALLOGRAPHY_ZTCH_HHTST = "metallography_ztch_hhtst";

    public static final String METALLOGRAPHY_ZTCH_HHSST = "metallography_ztch_hhsst";

    public static final String METALLOGRAPHY_DH_DHHWCS = "metallography_dh_dhhwcs";

    public static final String METALLOGRAPHY_DH_KSCS = "metallography_dh_kscs";

    public static final String METALLOGRAPHY_DH_XB = "metallography_dh_xb";

    public static final String METALLOGRAPHY_BMCH_BTMST = "metallography_bmch_btmst";

    public static final String METALLOGRAPHY_BMCH_XB = "metallography_bmch_xb";

    public static final String METALLOGRAPHY_BZ = "metallography_bz";

    public static final String METALLOGRAPHY_XBYD_XBYDJYJG = "metallography_xbyd_xbydjyjg";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
