package com.mt.wms.core.dal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 工业炉使用气检测值
 * </p>
 *
 * @author mt
 * @since 2022-03-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_par_gas_value")
public class ParGasValue extends Model<ParGasValue> {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 添加时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 内部编码，系统自动生成
     */
    @TableField("inter_code")
    private String interCode;

    /**
     * 状态	0初始化，1损坏
     */
    @TableField("status")
    private Integer status;

    /**
     * 工业炉id，关联设备工业炉表：t_kiln_info
     */
    @TableField("kiln_id")
    private Long kilnId;

    /**
     * 任务id
     */
    @TableField("task_id")
    private Long taskId;

    /**
     * 参数id，关联参数表：t_par_info
     */
    @TableField("par_id")
    private Integer parId;

    /**
     * 设定氮/碳势值
     */
    @TableField("set_nit_pot_value")
    private Float setNitPotValue;

    /**
     * 实际氮/碳势值
     */
    @TableField("actual_nit_pot_value")
    private Float actualNitPotValue;

    /**
     * 接受氮势值
     */
    @TableField("accept_nit_pot_value")
    private Float acceptNitPotValue;

    /**
     * 氮气量
     */
    @TableField("nit_flow_value")
    private Float nitFlowValue;

    /**
     * 氨气量
     */
    @TableField("ammonia_flow_value")
    private Float ammoniaFlowValue;

    /**
     * 二氧化碳量
     */
    @TableField("car_dioxide_flow_value")
    private Float carDioxideFlowValue;

    /**
     * 甲烷量
     */
    @TableField("methanol_flow")
    private Float methanolFlow;

    /**
     * 丙烷量
     */
    @TableField("propane_flow")
    private Float propaneFlow;

    /**
     * 氢含量
     */
    @TableField("hydrogen_content")
    private Float hydrogenContent;

    /**
     * 分解率
     */
    @TableField("decomposition_rate")
    private Float decompositionRate;

    /**
     * 扩展字段5
     */
    @TableField("orther_b")
    private String ortherB;

    /**
     * 扩展字段6
     */
    @TableField("orther_c")
    private String ortherC;


    public static final String ID = "id";

    public static final String CREATE_TIME = "create_time";

    public static final String INTER_CODE = "inter_code";

    public static final String STATUS = "status";

    public static final String KILN_ID = "kiln_id";

    public static final String TASK_ID = "task_id";

    public static final String PAR_ID = "par_id";

    public static final String SET_NIT_POT_VALUE = "set_nit_pot_value";

    public static final String ACTUAL_NIT_POT_VALUE = "actual_nit_pot_value";

    public static final String ACCEPT_NIT_POT_VALUE = "accept_nit_pot_value";

    public static final String NIT_FLOW_VALUE = "nit_flow_value";

    public static final String AMMONIA_FLOW_VALUE = "ammonia_flow_value";

    public static final String CAR_DIOXIDE_FLOW_VALUE = "car_dioxide_flow_value";

    public static final String METHANOL_FLOW = "methanol_flow";

    public static final String PROPANE_FLOW = "propane_flow";

    public static final String HYDROGEN_CONTENT = "hydrogen_content";

    public static final String DECOMPOSITION_RATE = "decomposition_rate";

    public static final String ORTHER_B = "orther_b";

    public static final String ORTHER_C = "orther_c";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
