package com.mt.wms.core.params;

import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 *
 * </P>
 *
 * @author FanYi
 * @date 2020/4/27
 * @since 1.0
 */
@ApiModel("发送短信所需参数")
@EqualsAndHashCode(callSuper = true)
@Data
@Accessors(chain = true)
public class SendMessageParam extends BaseParam {
    @ApiModelProperty("医院ID,若不传则使用默认模板")
    private Long corpId;

    @ApiModelProperty("场景编码，业务系统根据该编码区分不同的业务场景")
    @NotBlank(message = "场景编码必填！")
    private String smsSceneCode;

    @ApiModelProperty("短信接收号码,支持以英文逗号分隔的形式进行批量调用，批量上限为1000个手机号码")
    @NotBlank(message = "短信接收号码必填！")
    private String phoneNumbers;

    @ApiModelProperty("短信模板参数值，多个按顺序，隔开,只填入参数即可会自动完成填充")
    private String templateParam;
}
