/*
 * Copyright (c) 2019.
 * http://www.ulabcare.com
 */
package com.mt.wms.core.runner;

import java.io.Serializable;

/**
 * springboot启动之后会调用实现该接口的类的init方法，类必须注册为一个spring的bean
 *
 * @author jiff
 * @date 2019-08-27
 * @since 1.0
 */
public interface MesInitializer extends Serializable {

    /**
     * init
     *
     * @throws Exception
     */
    default void init() throws Exception {
    }

    /**
     * destroy
     *
     * @throws Exception
     */
    default void destroy() throws Exception {
    }

    /**
     * order，执行顺序，数值小的先执行
     *
     * @return int
     */
    default int order() {
        return 0;
    }
}
