package com.mt.wms.empty.controller;

import com.mt.wms.core.base.BaseController;
import com.mt.wms.core.constants.CommonConstant;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.params.CurrTaskDetQueryParam;
import com.mt.wms.empty.service.TaskDetHisService;
import com.mt.wms.empty.vo.TaskHisDetVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author xcc
 * @date 2021年11月16日
 * @since 1.0
 */
@RestController
@RequestMapping(CommonConstant.API_MODULE_BASE + "taskDetHis")
@Slf4j
@Api(value = "任务详情历史", tags = "任务详情历史管理", hidden = false)
public class TaskDetHisController extends BaseController {
    @Autowired
    TaskDetHisService taskDetHisService;

    @PostMapping(value = "getTaskDet")
    @ApiOperation(value = "历史执行任务-查看详情")
    public R<PageVo<TaskHisDetVo>> getTaskDetailsPage(@Validated @RequestBody CurrTaskDetQueryParam param) {
        return taskDetHisService.getTaskDetailsPage(param);
    }
}
