package com.mt.wms.empty.params;


import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "Apms返回订单检验结果", description = "Apms返回订单检验结果")
public class ApmsCompleteOrder extends BaseParam {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "生产单编号", required = true)
    private String sheetNo;

    /**
     * 标识卡号，APMS系统获取
     */
    @ApiModelProperty(value = "标识卡号", required = true)
    private String idenCardNum;

    @ApiModelProperty(value = "硬度检验结果", required = true)
    private String hardness;

    @ApiModelProperty(value = "金相检验结果", required = true)
    private String metallographic;

    @ApiModelProperty(value = "心部硬度检验值", required = false)
    private String heartHardness;

    @ApiModelProperty(value = "硬度检验值1", required = false)
    private String hardnessValueOne;
    @ApiModelProperty(value = "硬度检验值2", required = false)
    private String hardnessValueTwo;
    @ApiModelProperty(value = "硬度检验值3", required = false)
    private String hardnessValueThree;


    /**
     * 金相检验渗碳淬火 渗碳层深度
     */
    @ApiModelProperty(value = "金相检验渗碳淬火 渗碳层深度")
    private Float metallographyStchStccsd;

    /**
     * 金相检验渗碳淬火 表面为马氏体、残余奥氏体（级）
     */
    @ApiModelProperty(value = "金相检验渗碳淬火 表面为马氏体、残余奥氏体（级）")
    private String metallographyStchMstost;

    /**
     * 金相检验渗碳淬火 细小颗粒状碳化物
     */
    @ApiModelProperty(value = "金相检验渗碳淬火 细小颗粒状碳化物")
    private String metallographyStchXxklzthw;

    /**
     * 金相检验渗碳淬火 心部为低碳马氏体加游离铁素体（级）
     */
    @ApiModelProperty(value = "金相检验渗碳淬火 心部为低碳马氏体加游离铁素体（级）")
    private String metallographyStchDtmstyltst;

    /**
     * 金相检验整体淬火 基体为回火马氏体（级）
     */
    @ApiModelProperty(value = "金相检验整体淬火 基体为回火马氏体（级）")
    private String metallographyZtchHhmst;

    /**
     * 金相检验整体淬火 基体为回火托式体（级）
     */
    @ApiModelProperty(value = "金相检验整体淬火 基体为回火托式体（级）")
    private String metallographyZtchHhtst;

    /**
     * 金相检验整体淬火 基体为回火素式体（级）
     */
    @ApiModelProperty(value = "金相检验整体淬火 基体为回火素式体（级）")
    private String metallographyZtchHhsst;

    /**
     * 金相检验氮化 表面亮白色的为氮化合物层深
     */
    @ApiModelProperty(value = "金相检验氮化 表面亮白色的为氮化合物层深")
    private Float metallographyDhDhhwcs;

    /**
     * 金相检验氮化 向内为扩散层深
     */
    @ApiModelProperty(value = "金相检验氮化 向内为扩散层深")
    private Float metallographyDhKscs;

    /**
     * 金相检验氮化 心部
     */
    @ApiModelProperty(value = "金相检验氮化 心部")
    private String metallographyDhXb;

    /**
     * 金相检验表面淬火 表面为板条马氏体（级）
     */
    @ApiModelProperty(value = "金相检验表面淬火 表面为板条马氏体（级）")
    private String metallographyBmchBtmst;

    /**
     * 金相检验表面淬火 心部
     */
    @ApiModelProperty(value = "金相检验表面淬火 心部")
    private String metallographyBmchXb;

    /**
     * 金相检验 备注
     */
    @ApiModelProperty(value = "金相检验 备注")
    private String metallographyBz;

    /**
     * 金相检验心部硬度 心部硬度检验结果
     */
    @ApiModelProperty(value = "金相检验心部硬度 心部硬度检验结果")
    private Float metallographyXbydXbydjyjg;


    @ApiModelProperty(value = "备注", required = false)
    private String remake;
}

