package com.mt.wms.empty.params;

import com.mt.wms.core.base.BaseParam;
import com.mt.wms.core.params.BasePageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "order人工创建", description = "order人工创建")
public class OrderInfoPersonCreateParam extends BaseParam {

    private static final long serialVersionUID = 1L;


    /**
     * 编码，人工创建
     */
    @ApiModelProperty(value = "编码")
    private String code;

    /**
     * 订单号，人工创建
     */
    @ApiModelProperty(value = "订单号", required = true)
    private String orderNo;

    /**
     * 标识卡号，人工创建
     */
    @ApiModelProperty(value = "标识卡号", required = true)
    private String idenCardNum;

    /**
     * 客户编码 人工创建
     */
    @ApiModelProperty(value = "客户编码")
    private String customerNo;

    /**
     * 客户名称 人工创建
     */
    @ApiModelProperty(value = "客户名称")
    private String customerName;

    /**
     * 产品名称 人工创建
     */
    @ApiModelProperty(value = "产品名称")
    private String productName;

    /**
     * 产品型号 人工创建
     */
    @ApiModelProperty(value = "产品型号")
    private String productModel;

    /**
     * 材料牌号 人工创建
     */
    @ApiModelProperty(value = "材料牌号")
    private String materialDes;

    /**
     * 工艺要求 人工创建
     */
    @ApiModelProperty(value = "工艺要求")
    private String craftIll;

    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    private String unit;

    /**
     * 重量
     */
    @ApiModelProperty(value = "重量")
    private Float weight;

    /**
     *  数量
     */
    @ApiModelProperty(value = "数量")
    private Float quantity;
}
