package com.mt.wms.empty.vo;

import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 *
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "订单视图对象", description = "当前订单任务详情")
public class OrderInfoTaskDetVo extends BaseVo implements PageVo.ConvertVo {
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 任务编码, 查看任务编码规则
     */
    @ApiModelProperty(value = "任务编码")
    private String taskCode;

    /**
     * 任务编码, 查看任务编码规则
     */
    @ApiModelProperty(value = "任务id")
    private Long currTaskId;

    /**
     * 缓存前开始时间，车辆开始执行
     */
    @ApiModelProperty(value = "缓存前开始时间")
    private LocalDateTime aBeginTime;

    /**
     * 完成当前任务时间（可能是到缓存区，有可能直接到工业炉），车辆放完货物到缓存区收到的时间
     */
    @ApiModelProperty(value = "完成当前任务时间")
    private LocalDateTime aEndTime;

    /**
     * 任务类型：0:入库到工业炉，1:入库到缓存区，2出库到工业炉到缓存区，3缓存区出库
     */
    @ApiModelProperty(value = "任务类型")
    private Integer taskType;

    /**
     * 状态：	0等待执行，1执行中，2执行完成，3追加后完成（追加后就按完成来算）
     */
    @ApiModelProperty(value = "状态")
    private Integer status;

    /**
     * 开始位置
     */
    @ApiModelProperty(value = "开始位置")
    private String startPosition;

    /**
     * 目标位置
     */
    @ApiModelProperty(value = "目标位置")
    private String targetPosition;

    /**
     * 车辆id
     */
    @ApiModelProperty(value = "车辆id")
    private Long vehicleId;

    /**
     * 车辆名称
     */
    @ApiModelProperty(value = "车辆名称")
    private String vehicleName;

    /**
     * 加工炉id
     */
    @ApiModelProperty(value = "加工炉id")
    private Long kilnId;
    /**
     * 加工炉名称
     */
    @ApiModelProperty(value = "加工炉名称")
    private String kilnName;
    /**
     * 加工数量
     */
    @ApiModelProperty(value = "加工数量")
    private Float quantity;

    /**
     * 重量
     */
    @ApiModelProperty(value = "重量")
    private Float weight;
}
