/*
 * Copyright (c) 2019.
 * http://www.ulabcare.com
 */

package com.mt.wms.passport.constants;

/**
 * @author jiff
 * @date 2019-08-01
 * @since 1.0
 */
public interface PassportConstant {
    /**
     * 内部临时令牌，用于漫游登录时创建会话
     */
    String PASSPORT_INNER_NONCE_TOKEN = "passportInnerNonceToken";
    /**
     * 内部临时令牌有效期，单位秒
     */
    long PASSPORT_INNER_NONCE_TOKEN_EXPIRED = 3L;
    /**
     * 微信oauthCode获取openId保存到redis有效时间：{@value}，单位秒
     */
    long WECHAT_OAUTH_CODE_EXPIRED = 5 * 60L;


    /**
     * 异常状态：0、正常，1、省份异常，2、地市异常，3、区县异常
     */
    int LOGIN_ABNORMAL_STATUS_NORMAL = 0;
    int LOGIN_ABNORMAL_STATUS_PROVINCE = 1;
    int LOGIN_ABNORMAL_STATUS_CITY = 2;
    int LOGIN_ABNORMAL_STATUS_COUNTY = 3;
    /**
     * 手机号码是否激活：0、未激活，1、激活，根据是否使用过短信验证码登录确认是否激活状态
     */
    int MOBILE_ENABLED_VALID = 1;
    int MOBILE_ENABLED_INVALID = 0;
}
