package com.mt.wms.upms.mapper;

import com.mt.wms.core.vo.MenuVo;
import com.mt.wms.core.vo.UserMenuVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 菜单mapper类
 *
 * @author jiff
 * @date 2018/11/9
 * @since 1.0
 */
@Repository
public interface MenuMapper {

    /**
     * 获取角色菜单列表
     *
     * @param roleId   角色ID
     * @param category 菜单分类
     * @return 菜单列表
     */
    List<MenuVo> listByRole(@Param("roleId") Long roleId, @Param("category") Integer category);

    /**
     * 获取用户菜单列表，先不考虑角色启停状态
     *
     * @param userId   用户ID
     * @param category 菜单分类
     * @return 菜单列表
     */
    List<UserMenuVo> listByUser(@Param("userId") Long userId, @Param("category") Integer category);
}
