/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.upms.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mt.wms.upms.LisPlatformUpmsApplicationTest;
import com.mt.wms.upms.params.SysUserQueryParam;
import com.mt.wms.upms.vo.SysUserVo;
import org.junit.Assert;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * @author jiff
 * @date 2018-12-11
 * @since 1.0
 */
public class UserMapperTest extends LisPlatformUpmsApplicationTest {
    @Autowired
    private UserMapper userMapper;

    @Test
    public void listByOrg() {
        SysUserQueryParam queryParam = SysUserQueryParam.builder().genealogyId("/1").name("ff").sex(1).build();
        queryParam.setCurrent(1);
        queryParam.setSize(10);
        IPage page = new Page(queryParam.getCurrent(), queryParam.getSize());
        List<SysUserVo> sysUserVos = userMapper.listByOrg(page, queryParam);
        page.setRecords(sysUserVos);
        Assert.assertEquals(page.getRecords(), sysUserVos);
    }

}